## org.codehaus.groovy.runtime.metaclass
Class KeySet

Constructor Summary
`KeySet()`

Method Summary
`void` | `clear()`
`boolean` | `contains(Object o)`
`Iterator` | `iterator()`
`boolean` | `remove(Object o)`
`int` | `size()`
`def` | `toArray()`
`def` | `toArray(def a)`
`Collection` | `values()` Returns a collection view of the values contained in this map.

Constructor Detail

### KeySet

    KeySet()

Method Detail

### clear

    public void clear()

### contains

    public boolean contains(Object o)

### iterator

    public Iterator iterator()

### remove

    public boolean remove(Object o)

### size

    public int size()

### toArray

    public def toArray()

### toArray

    public def toArray(def a)

### values

    public Collection values()

  Returns a collection view of the values contained in this map. The collection is backed by the map, so changes to the map are reflected in the collection, and vice-versa. The collection supports element removal, which removes the corresponding mapping from this map, via the `Iterator.remove`, `Collection.remove`, `removeAll`, `retainAll`, and `clear` operations. It does not support the `add` or `addAll` operations.
  return:
    a collection view of the values contained in this map.